Bug 173266 - circular dependency between libselinux and libsetrans
Summary: circular dependency between libselinux and libsetrans
Status: CLOSED DUPLICATE of bug 173265
Alias: None
Product: Fedora
Classification: Fedora
Component: libselinux (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-11-15 19:19 UTC by Thomas Bleher
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-15 19:20:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Thomas Bleher 2005-11-15 19:19:00 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050920 Firefox/1.0.7

Description of problem:
libselinux and libsetrans have circular deps on each other, making it impossible to build them from source if only older versions or no versions are available.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install an older libselinux (I have 1.25.2 here)
2. Build libselinux
3. Trying to install it aborts because libselinux has a Prereq on libsetrans
4. Trying to build libsetrans also fails because it has a BuildRequires on libselinux-1.27.14-2
  

Additional info:

Comment 1 Thomas Bleher 2005-11-15 19:20:42 UTC
Sorry, submitted bug two times.

*** This bug has been marked as a duplicate of 173265 ***


Note You need to log in before you can comment on or make changes to this bug.